scoreboard players add @s Erupt 1

execute if entity @s[tag=CreepingVines] run function runechant:mob/seasons/effects/creepingvines

execute if entity @s[tag=Entomb] run advancement grant @p[advancements={runechant:magic/heart_glacial=true}] only runechant:magic/charm_entomb
execute if entity @s[tag=SoulTether] run advancement grant @p[advancements={runechant:magic/heart_soul=true}] only runechant:magic/charm_shackle
execute if entity @s[tag=Tempest] run advancement grant @p[advancements={runechant:magic/heart_sky=true}] only runechant:magic/charm_tempest

execute if entity @s[tag=Snowfall] unless block ~ ~-0.5 ~ minecraft:air if block ~ ~ ~ minecraft:snow run playsound minecraft:block.snow.break weather @a ~ ~ ~
execute if entity @s[tag=Snowfall] unless block ~ ~-0.5 ~ minecraft:air if block ~ ~ ~ minecraft:snow run setblock ~ ~ ~ minecraft:powder_snow replace
execute if entity @s[tag=Snowfall] unless block ~ ~-0.5 ~ minecraft:air unless block ~ ~ ~ minecraft:snow run playsound minecraft:block.snow.break weather @a ~ ~ ~
execute if entity @s[tag=Snowfall] unless block ~ ~-0.5 ~ minecraft:air unless block ~ ~ ~ minecraft:snow run setblock ~ ~ ~ minecraft:snow keep

execute if entity @s[tag=WarpPoint] if entity @e[distance=..0.5,tag=!WarpPoint] if score Timer TimerTick matches 1 run playsound minecraft:entity.fox.teleport weather @a ~ ~ ~
execute if entity @s[tag=WarpPoint] if entity @e[distance=..0.5,tag=!WarpPoint] if score Timer TimerTick matches 1 run tp @e[distance=..1.1,tag=!WarpPoint] @e[tag=WarpPoint,sort=furthest,limit=1,distance=1..]

execute if entity @s[tag=Entomb] if score @s Erupt matches 59.. run playsound minecraft:entity.skeleton.converted_to_stray weather @a ~ ~ ~
execute if entity @s[tag=Entomb] if score @s Erupt matches 59.. if entity @e[distance=..0.5,tag=!Entomb] run fill ~1 ~ ~ ~1 ~1 ~ minecraft:ice keep
execute if entity @s[tag=Entomb] if score @s Erupt matches 59.. if entity @e[distance=..0.5,tag=!Entomb] run fill ~ ~ ~1 ~ ~1 ~1 minecraft:ice keep
execute if entity @s[tag=Entomb] if score @s Erupt matches 59.. if entity @e[distance=..0.5,tag=!Entomb] run fill ~-1 ~ ~ ~-1 ~1 ~ minecraft:ice keep
execute if entity @s[tag=Entomb] if score @s Erupt matches 59.. if entity @e[distance=..0.5,tag=!Entomb] run fill ~ ~ ~-1 ~ ~1 ~-1 minecraft:ice keep
execute if entity @s[tag=Entomb] if score @s Erupt matches 59.. if entity @e[distance=..0.5,tag=!Entomb] run fill ~ ~2 ~ ~ ~2 ~ minecraft:ice keep
execute if entity @s[tag=Entomb] if score @s Erupt matches 59.. if entity @e[distance=..0.5,tag=!Entomb] run fill ~ ~-1 ~ ~ ~-1 ~ minecraft:ice keep

execute if entity @s[tag=Eruption] if score @s Erupt matches 99.. run playsound minecraft:entity.ghast.shoot weather @a ~ ~ ~
execute if entity @s[tag=Eruption] if score @s Erupt matches 99.. run particle minecraft:lava ~ ~ ~ 0.1 2 0.1 1 200
execute if entity @s[tag=Eruption] if score @s Erupt matches 99.. as @e[distance=..1.1] run damage @s 10 runechant:scorched

execute if entity @s[tag=SoulSummon] if score @s Erupt matches 59.. run playsound minecraft:entity.wither.break_block weather @a ~ ~ ~
execute if entity @s[tag=SoulSummon] if score @s Erupt matches 59.. run particle minecraft:soul ~ ~ ~ 0.1 2 0.1 0.1 200
execute if entity @s[tag=SoulSummon] if score @s Erupt matches 59.. run summon minecraft:wither_skeleton ~ ~ ~

execute if entity @s[tag=FlamePillar] if score @s Erupt matches 40.. run playsound minecraft:block.fire.extinguish weather @a ~ ~ ~
execute if entity @s[tag=FlamePillar] if score @s Erupt matches 40.. run particle minecraft:flame ~ ~1 ~ 0.1 20 0.1 0.02 100
execute if entity @s[tag=FlamePillar] if score @s Erupt matches 40.. as @e[distance=..1.1] run damage @s 1 runechant:scorched

execute if entity @s[tag=DustBall] run particle minecraft:ash ~ ~ ~ 0.5 0.5 0.5 0.01 5
execute if entity @s[tag=DustBall] if score @s Erupt matches 20..59 run particle minecraft:dust 0.3 0.3 0.3 0.8 ~ ~ ~ 0.1 0.1 0.1 1 20
execute if entity @s[tag=DustBall] if score @s Erupt matches 20 if entity @e[distance=..1.1] run playsound minecraft:entity.player.breath weather @a ~ ~ ~
execute if entity @s[tag=DustBall] if score @s Erupt matches 20..59 as @e[distance=..1.1] run damage @s 1 runechant:tainted
execute if entity @s[tag=DustBall] if score @s Erupt matches 60..99 run particle minecraft:dust 0.3 0.3 0.3 0.8 ~ ~ ~ 0.2 0.2 0.2 1 40
execute if entity @s[tag=DustBall] if score @s Erupt matches 60 if entity @e[distance=..1.1] run playsound minecraft:entity.player.breath weather @a ~ ~ ~ 
execute if entity @s[tag=DustBall] if score @s Erupt matches 60..99 as @e[distance=..1.1] run damage @s 2 runechant:tainted
execute if entity @s[tag=DustBall] if score @s Erupt matches 100..139 run particle minecraft:dust 0.3 0.3 0.3 0.8 ~ ~ ~ 0.3 0.3 0.3 1 60
execute if entity @s[tag=DustBall] if score @s Erupt matches 100 if entity @e[distance=..1.1] run playsound minecraft:entity.player.breath weather @a ~ ~ ~
execute if entity @s[tag=DustBall] if score @s Erupt matches 100..139 as @e[distance=..1.1] run damage @s 3 runechant:tainted
execute if entity @s[tag=DustBall] if score @s Erupt matches 140..179 run particle minecraft:dust 0.3 0.3 0.3 0.8 ~ ~ ~ 0.4 0.4 0.4 1 80
execute if entity @s[tag=DustBall] if score @s Erupt matches 140 if entity @e[distance=..1.1] run playsound minecraft:entity.player.breath weather @a ~ ~ ~
execute if entity @s[tag=DustBall] if score @s Erupt matches 140..179 as @e[distance=..1.1] run damage @s 4 runechant:tainted
execute if entity @s[tag=DustBall] if score @s Erupt matches 180.. run kill @s

execute if entity @s[tag=GrowthBall] if score @s Erupt matches ..80 run particle minecraft:sneeze ~ ~ ~ 0.1 0.1 0.1 0.01 1
execute if entity @s[tag=GrowthBall] if score @s Erupt matches 40..79 run particle minecraft:composter ~ ~ ~ 0.1 0.1 0.1 0.01 1
execute if entity @s[tag=GrowthBall] if score @s Erupt matches 80..120 run particle minecraft:composter ~ ~ ~ 0.1 0.1 0.1 0.01 10
execute if entity @s[tag=GrowthBall] if score @s Erupt matches 80 if entity @e[distance=..1.1] run playsound minecraft:entity.player.levelup weather @a ~ ~ ~
execute if entity @s[tag=GrowthBall] if score @s Erupt matches 80..120 if score RNG RNG_Variable matches 0..250 run experience add @a[distance=..1.1] 1 levels
execute if entity @s[tag=GrowthBall] if score @s Erupt matches 80..120 if score RNG RNG_Variable matches 251..500 run effect give @a[distance=..1.1] minecraft:absorption 30 4
execute if entity @s[tag=GrowthBall] if score @s Erupt matches 80..120 if score RNG RNG_Variable matches 501..750 run effect give @a[distance=..1.1] minecraft:haste 30 4
execute if entity @s[tag=GrowthBall] if score @s Erupt matches 80..120 if score RNG RNG_Variable matches 751..1000 run effect give @a[distance=..1.1] minecraft:health_boost 120 4
execute if entity @s[tag=GrowthBall] if score @s Erupt matches 80..120 if entity @a[distance=..1.1] run kill @s
execute if entity @s[tag=GrowthBall] if score @s Erupt matches 120.. run kill @s

execute if entity @s[tag=EnderBall] if entity @e[distance=..0.5] run playsound minecraft:block.end_portal_frame.fill weather @a ~ ~ ~
execute if entity @s[tag=EnderBall] if score @s Erupt matches ..59 run particle minecraft:reverse_portal ~ ~ ~ 0.1 0.1 0.1 0.01 1
execute if entity @s[tag=EnderBall] if score @s Erupt matches ..59 run effect give @a[distance=..0.5] minecraft:strength 15 0
execute if entity @s[tag=EnderBall] if score @s Erupt matches 60..119 run particle minecraft:reverse_portal ~ ~ ~ 0.1 0.1 0.1 0.01 5
execute if entity @s[tag=EnderBall] if score @s Erupt matches 60..119 run effect give @a[distance=..0.5] minecraft:strength 15 1
execute if entity @s[tag=EnderBall] if score @s Erupt matches 120..180 run particle minecraft:reverse_portal ~ ~ ~ 0.1 0.1 0.1 0.01 10
execute if entity @s[tag=EnderBall] if score @s Erupt matches 120..180 run effect give @a[distance=..0.5] minecraft:strength 15 2
execute if entity @s[tag=EnderBall] if score @s Erupt matches 180.. run kill @s

execute if entity @s[tag=Bubble] run particle minecraft:bubble ~ ~1 ~ 0.1 0.1 0.1 1 20
execute if entity @s[tag=Bubble] if entity @e[distance=..1.1] run playsound minecraft:block.bubble_column.bubble_pop weather @a ~ ~ ~
execute if entity @s[tag=Bubble] run effect give @e[distance=..1.1] minecraft:dolphins_grace 10 4 true
execute if entity @s[tag=Bubble] if score @s Erupt matches 200.. run kill @s

execute if entity @s[tag=SoulTether] run particle minecraft:soul ~ ~ ~ 0.1 0 0.1 1 3
execute if entity @s[tag=SoulTether] if score @s Erupt matches 40.. run particle minecraft:soul ~ ~ ~ 0.5 0 0.5 1 3
execute if entity @s[tag=SoulTether] if score @s Erupt matches 40.. run tp @e[type=#runechant:all,distance=..1.1] ~ ~ ~
execute if entity @s[tag=SoulTether] if score @s Erupt matches 140.. run kill @s

execute if entity @s[tag=Tempest] run particle minecraft:shriek 1 ~ ~ ~ 0.1 0.1 0.1 1 10
execute if entity @s[tag=Tempest] if score @s Erupt matches 60.. run particle minecraft:shriek 1 ~ ~0.5 ~ 0.1 0.1 0.1 1 10
execute if entity @s[tag=Tempest] if score @s Erupt matches 160.. run particle minecraft:shriek 1 ~ ~1 ~ 0.1 0.1 0.1 1 10

execute if entity @s[tag=Tempest] if score RNG RNG_Variable matches ..250 run tp @s ~0.3 ~ ~
execute if entity @s[tag=Tempest] if score RNG RNG_Variable matches 251..500 run tp @s ~ ~ ~0.3
execute if entity @s[tag=Tempest] if score RNG RNG_Variable matches 501..750 run tp @s ~-0.3 ~ ~
execute if entity @s[tag=Tempest] if score RNG RNG_Variable matches 751..1000 run tp @s ~ ~ ~-0.3

execute if entity @s[tag=Tempest] if score @s Erupt matches 60.. as @e[type=#runechant:all,distance=..1.1] run damage @s 2 runechant:gale
execute if entity @s[tag=Tempest] if score @s Erupt matches 160.. as @e[type=#runechant:all,distance=..1.1] run damage @s 4 runechant:gale
execute if entity @s[tag=Tempest] if score @s Erupt matches 60.. run effect give @e[type=#runechant:all,distance=..1.1] minecraft:levitation 1 4 true
execute if entity @s[tag=Tempest] if score @s Erupt matches 240.. run kill @s

execute if entity @s[tag=Typhoon] run particle minecraft:bubble_pop ~ ~ ~ 0.1 0.1 0.1 1 10
execute if entity @s[tag=Typhoon] if score @s Erupt matches 60.. as @e[type=#runechant:all,distance=..1.1] run effect give @s minecraft:slowness 8 1
execute if entity @s[tag=Typhoon] if score @s Erupt matches 60.. as @e[type=#runechant:all,distance=..1.1] run effect give @s minecraft:weakness 8 1

execute if entity @s[tag=MoltenGold] if score @s Erupt matches 60.. run playsound minecraft:block.fire.extinguish weather @a ~ ~ ~
execute if entity @s[tag=MoltenGold] if score @s Erupt matches 60.. run particle minecraft:flame ~ ~1 ~ 0.1 20 0.1 0.02 50
execute if entity @s[tag=MoltenGold] if score @s Erupt matches 60.. run particle minecraft:item minecraft:raw_gold ~ ~1 ~ 0.1 20 0.1 0.02 50
execute if entity @s[tag=MoltenGold] if score @s Erupt matches 60.. as @e[distance=..1.1] run damage @s 3 runechant:scorched

execute if entity @s[tag=PoisonMaw] if score @s Erupt matches 99.. run playsound minecraft:entity.ghast.shoot weather @a ~ ~ ~
execute if entity @s[tag=PoisonMaw] if score @s Erupt matches 99.. run summon minecraft:evoker_fangs ~ ~ ~
execute if entity @s[tag=PoisonMaw] if score @s Erupt matches 99.. run particle minecraft:spore_blossom_air ~ ~ ~ 0.1 1 0.1 1 200
execute if entity @s[tag=PoisonMaw] if score @s Erupt matches 99.. as @e[distance=..1.1] run effect give @s minecraft:poison 15 4